import React from 'react';
import { BrowserRouter, Route, Switch } from 'dva/router';
import dynamic from 'dva/dynamic';

function RouterConfig({ history, app }) {
  const IndexPage = dynamic({
    app,
    component: () => import('./routes/IndexPage'),
  });
  const HomePage = dynamic({
    app,
    component: () => import('./routes/Home/HomePage'),
  }) ;
  return (
    <BrowserRouter>
      <div>
        <Route path="/" exact component={IndexPage} />
        <Route path="/Home" exact component={HomePage} />
      </div>
    </BrowserRouter>
  );
}

export default RouterConfig;
