import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { connect } from 'dva';
import {
  ButtonArea,
  CellHeader,
  Button,
  CellBody,
  CellFooter,
  Form,
  FormCell,
  Input,
  Label,
  Toptips,
  Page,
  Footer,
  FooterText,
  Icon
} from 'react-weui';
//import styles
import 'weui';
import 'react-weui/build/packages/react-weui.css';
import styles from './IndexPage.css';
class IndexPage extends React.Component{
  //手机号判断
  telCheck=(event)=>{
    const tel=event.target.value;
    console.log(tel);
    var reg=/^1[34578]\d{9}$/;
    if(reg.test(tel)==false){
      this.props.dispatch({ type: 'login/setShowToptips', payload: { ShowToptips:true,errormsg:"请输入正确的手机号" } });
      window.setTimeout(e=> this.props.dispatch({ type: 'login/setShowToptips', payload: { ShowToptips:false } }), 2000)
    }else{
      this.props.dispatch({ type: 'login/setTelnum', payload: { telNum:tel } });
    }
  };
  //发送验证码
  sendCheckNum = () => {
    // 1.检验改手机号是否存在系统中，如果不存在，无法注册
      this.props.dispatch({type:'login/checkNumber',payload:{}})
    //2.如果手机号存在，发送验证码
    const PostUrl = "http://106.ihuyi.cn/webservice/sms.php?method=Submit";
  };
  render(){
  return (
    <Page>
      <h1 className={styles.myTitle}>上海征地房屋补偿</h1>
      <Form>
        <FormCell>
          <CellHeader>
            <Label>手机号</Label>
          </CellHeader>
          <CellBody>
            <Icon value="warn" />
            <Input type="tel" placeholder="输入手机号码" onBlur={(event)=>this.telCheck(event)}/>
          </CellBody>
        </FormCell>
        <FormCell vcode>
          <CellHeader>
            <Label>验证码</Label>
          </CellHeader>
          <CellBody>
            <Input type="tel" placeholder=""/>
          </CellBody>
          <CellFooter>
            <Button type="vcode" onClick={this.sendCheckNum}>发送</Button>
          </CellFooter>
        </FormCell>
      </Form>
      <ButtonArea>
        <Button
          //button to display toptips
          onClick={ e=> {
            if(this.props.login.showToptips) return;
            this.props.dispatch({ type: 'login/setShowToptips', payload: { ShowToptips:true,errormsg:"用户名有误" } });
            window.setTimeout(e=> this.props.dispatch({ type: 'login/setShowToptips', payload: { ShowToptips:false } }), 2000)
          }
          }>
          注册
        </Button>
      </ButtonArea>
      <Footer>
        <FooterText>
          Copyright © 2017-2018 www.proland.org.cn
        </FooterText>
      </Footer>
      <Toptips type="warn"
               show={this.props.login.showToptips}
      >
        {this.props.login.errormsg}
      </Toptips>
    </Page>
  );
  };
}

IndexPage.propTypes = {
  login: PropTypes.object,
};
// 指定订阅数据，这里关联了 login
function mapStateToProps({ login }) {
  return {login};
}
export default connect(mapStateToProps)(IndexPage);
